Subject: [secdir] Heads up: security model at PCP today at 1740: no authentication to open firewall holes

From: Sam Hartman <[email-masked]>
Date: Thu, 11 Nov 2010 01:30:57 -0500

Folks, to my great surprise, we seem to have chartered work to
standardize a protocol for opening holes in NATs and firewalls.  They
are meeting oposite KARP, so I can't go, but you should.

They have a presentation to discuss their security model:

http://tools.ietf.org/agenda/79/slides/pcp-6.pdf

The idea is that there is no authenticatino at all for the on-link case
and ingress filtering (IP ACL authentication) for the off-link case.

That's actually probably fine for the NAT case.  however, for the
firewall control case, which is explicitly within their charter, that is
very much problematic.

This is early work, they need help not flames. (I'll admit that because
it's fairly late before the session, I've focused on shock value in the
subject of this message.)  Also, note that this presentation is a
summary of a fairly long mailing list thread.  If you have time to read
that, please do.